﻿<?php
//Activation des messages d'erreur
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL & ~E_WARNING);
?>
<?php

//Enregistrement des données
//Condition qui permet de n'exécuter l'enregistrement que si on vient de recharger la page après avoir cliqué sur "Soumettre le formulaire".

if ($_POST['bouton_soumission']=="Soumettre mes réponses")
{
	try
	{
		
		// Bloc 1 : connexion avec la base de données

		include 'App_Data/ouverture_bd.php';

		// Bloc 2 : préparation de la requête SQL pour enregistrer les données

		$requete_ajout = $bdd->prepare('INSERT INTO donnees (q1, q2_1, q2_2, q2_3, q3, q4, q5, q6, q6_autre, q7) VALUES (:q1, :q2_1, :q2_2, :q2_3, :q3, :q4, :q5, :q6, :q6_autre, :q7);');
		
		// Bloc 3 : exécution de la requête et définition des valeurs à enregistrer
		// À noter : l'utilisation d'une conditionnelle pour q6_autre pour s'assurer de bien enregistrer NULL si rien n'a été saisi. Sans cette conditionnelle, une chaîne vide serait enregistrée au lieu de NULL.

		$requete_ajout->execute(array('q1' => $_POST['q1'], 'q2_1' => $_POST['q2_1'], 'q2_2' => $_POST['q2_2'], 'q2_3' => $_POST['q2_3'], 'q3' => $_POST['q3'], 'q4' => $_POST['q4'], 'q5' => $_POST['q5'], 'q6' => $_POST['q6'], 'q6_autre' => ($_POST['q6_autre']?$_POST['q6_autre']:NULL), 'q7' => $_POST['q7']));

		// Bloc 4 : fermeture de la requête
		$requete_ajout->closeCursor();
						
		// Bloc 5 : fermeture de la base de données
		$bdd=null;
		
	}
	
	// Gestion des erreurs
	catch(Exception $e)
	{
	exit('Erreur : '.$e->getMessage());
	}
	
}
?><!DOCTYPE html>
<html lang="fr-ca">
  <head>
    <meta charset="utf-8" />
    <title>Exemple de formulaire</title>
    <meta name="author" content="Christine Dufour" />
    <meta name="description" content="Formulaire HTML" />
  </head>

	<body>

		<h1>Exemple d'un formulaire pour la saisie de données</h1>
		
		<!-- Formulaire utilisant la méthode POST pour l'envoi des données. Lorsque l'on cliquera sur le bouton de soumission, la page sera rechargée -->
		<form method="post" action="formulaire.php">
			
			<p>Merci de répondre à ces quelques questions qui nous permettront de mieux vous connaître. L'astérique devant un numéro de question indique une question obligatoire.</p>
			
			<!-- Contrôle de type "question à choix multiple" (un seul choix parmi plusieurs). À remarquer : tous les choix partagent le même nom (q1) comme il n'y a qu'une seule valeur à enregistrer. La valeur de l'attribut "name" représente le nom du contrôle et servira entre autres à récupérer les données du contrôle par la suite. Chacun des choix possède un identifiant unique (attribut id) afin de permettre de les associer à leurs étiquettes respectives (élément LABEL) -->
			<h2>1. Quelle est votre saveur de crème glacée préférée? (<em>un seul choix</em>)</h2>
			<ul style="list-style-type: none;">
				<li><input type="radio" id="q1_choix1" name="q1" value="vanille" /><label for="q1_choix1">Vanille</label></li>
				<li><input type="radio" id="q1_choix2" name="q1" value="chocolat" /><label for="q1_choix2">Chocolat</label></li>
				<li><input type="radio" id="q1_choix3" name="q1" value="fraise" /><label for="q1_choix3">Fraise</label></li>
				<li><input type="radio" id="q1_choix4" name="q1" value="pistache" /><label for="q1_choix4">Pistache</label></li>
			</ul>
			
			<!-- Contrôle de type "question à réponses multiples" (plusieurs choix parmi une liste). À remarquer : chaque choix a un nom unique comme on veut pouvoir les enregistrer individuellement. -->
			<h2>2. Quels sont les extras que vous ajoutez sur une pizza (<em>plusieurs choix</em>)</h2>
			<ul style="list-style-type: none;">
				<li><input type="checkbox" id="q2_1" name="q2_1" value="X" /><label for="q2_1">Ananas</label></li>
				<li><input type="checkbox" id="q2_2" name="q2_2" value="X" /><label for="q2_2">Tomates séchées</label></li>
				<li><input type="checkbox" id="q2_3" name="q2_3" value="X" /><label for="q2_3">Fromage feta</label></li>
			</ul>
			
			<!-- Contrôle de type "courriel". Il aurait été possible aussi d'utiliser un contrôle de type "boîte de saisie de texte court" (text), mais il n'y aurait en ce cas pas eu la validation qu'il s'agit bien d'une adresse de courriel. À noter : l'utilisation de l'attribut "maxlength" pour s'assurer de ne pas dépasser un nombre maximal de caractères. De plus, l'attribut "required" a été ajouté comme il s'agit d'un champ obligatoire. -->
			<h2 title="Doit contenir un @">*3. Quelle est votre adresse de courriel?</h2>
			<input type="email" maxlength="100" size="20" name="q3" required="required" />

			<!-- Contrôle de type "text" avec un attribut "pattern" pour valider la forme de l'information saisie grâce à l'expression régulière correspondante. -->
			
			<h2 title="Format A0A 0A0">*4. Quel est votre code postal de votre adresse au Québec?</h2>
			<input type="text" maxlength="7" size="20" name="q4" pattern="[A-Z][0-9][A-Z] [0-9][A-Z][0-9]" required="required" />
			
			<!-- Contrôle de type "boîte de saisie longue". -->
			<h2>5. Quelle est votre saison préférée et pourquoi?</h2>
			<textarea rows="5" cols="80" name="q5"></textarea>
			
			<!-- Combinaison d'un contrôle de type "radio" et d'un contrôle de type "text". -->
			<h2>6. Quelle est votre couleur préférée?</h2>
			<ul style="list-style-type: none;">
				<li><input type="radio" id="q6_1" name="q6" value="bleu" /><label for="q6_1">Bleu</label></li>
				<li><input type="radio" id="q6_2" name="q6" value="rouge" /><label for="q6_2">Rouge</label></li>
				<li><input type="radio" id="q6_3" name="q6" value="vert" /><label for="q6_3">Vert</label></li>
				<li><input type="radio" id="q6_4" name="q6" value="autre" /><label for="q6_4">Autre</label>
				S.V.P. précisez : <input type="text" maxlength="100" size="30" name="q6_autre" /></li>
			</ul>
			
			<!-- Contrôle à choix unique sous forme d'une liste déroulante. À noter, d'une, part, l'attribut required pour rendre le choix obligatoire ainsi qu'une première option sans valeur (value="") qui est sélectionnée par défaut (attribut selected) et qui indique ce qu'il faut faire. Il serait possible de ne pas mettre cette option, mais, en ce cas, le premier mot serait automatiquement sélectionné et une personne qui oublie de faire un choix se verrait attribuer cette valeur. -->
			<h2>*7. Selon vous, quel mot, parmi ceux de la liste déroulante, est le plus payant au Scrabble?</h2>
			<select name="q7" required="required">
				<option value="" selected="selected">Choisissez un mot</option>
				<option value="deshypothéquiez">Deshypothéquiez</option>
				<option value="mycorhizaux">Mycorhizaux</option>
				<option value="psychokinetique">Psychokinetique</option>
				<option value="schizothymique">Schizothymique</option>
				<option value="tricarboxylique">Tricarboxylique</option>
				<option value="xylographiques">Xylographiques</option>
				<option value="yellowknifiens">Yellowknifiens</option>
			</select>
			
			<!-- Bouton pour soumettre le formulaire et ainsi déclencher l'action associée. La valeur de l'attribut "value" est ce qui s'affiche sur le bouton. La valeur de l'attribut "name" pourrait servir à particulariser le traitement qui est fait après avoir soumis le formulaire s'il y avait plus d'un bouton. -->
			<p><input name="bouton_soumission" type="submit" value="Soumettre mes réponses" /></p>
		</form>
		
	</body>
</html>